unit combotreelistform;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, EditEx;

type

  { TTreeListForm }

  TTreeListForm = class(TForm)
    DeactivateTimer: TTimer;
    TreeList: TTreeList;
    procedure DeactivateTimerTimer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FDeactivated:boolean;
    { private declarations }
  public
    property Deactivated:boolean read FDeactivated;
    { public declarations }
  end; 

var
  TreeListForm: TTreeListForm;

implementation

{ TTreeListForm }

procedure TTreeListForm.FormDeactivate(Sender: TObject);
begin
  DeactivateTimer.Enabled:=true;
  Close;
end;

procedure TTreeListForm.FormShow(Sender: TObject);
begin
  FDeactivated:=false;
end;

procedure TTreeListForm.DeactivateTimerTimer(Sender: TObject);
begin
  DeactivateTimer.Enabled:=false;
  FDeactivated:=true;
end;

procedure TTreeListForm.FormCreate(Sender: TObject);
begin
  FDeactivated:=true;
end;

initialization
  {$I combotreelistform.lrs}

end.

